Loading...
Searching...
No Matches
read.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <dirent.h>`
`#include <grass/gis.h>`
`#include <grass/symbol.h>`
`#include <grass/glocale.h>`
Include dependency graph for symbol/read.c:

Go to the source code of this file.

## Macros

#define | OBJ_NONE 0
#define | OBJ_STRING 1
#define | OBJ_POLYGON 2
#define | OBJ_RING 3

## Functions

void | get_key_data (char *buf)
SYMBOL * | new_symbol (void)
void | add_part (SYMBOL *s, SYMBPART *p)
SYMBPART * | new_part (int type)
void | add_chain (SYMBPART *p, SYMBCHAIN *s)
SYMBCHAIN * | new_chain (void)
void | add_element (SYMBCHAIN *s, SYMBEL *e)
SYMBEL * | new_line (void)
void | add_point (SYMBEL *el, double x, double y)
SYMBEL * | new_arc (double x, double y, double r, double a1, double a2, int c)
void | read_coor (FILE *fp, SYMBEL *e)
SYMBOL * | err (FILE *fp, SYMBOL *s, char *msg)
SYMBOL * | S_read (const char *sname)

## Macro Definition Documentation

## OBJ_NONE

#define OBJ_NONE 0

Definition at line 27 of file symbol/read.c.

Referenced by S_read().

## OBJ_POLYGON

#define OBJ_POLYGON 2

Definition at line 29 of file symbol/read.c.

Referenced by S_read().

## OBJ_RING

#define OBJ_RING 3

Definition at line 30 of file symbol/read.c.

Referenced by S_read().

## OBJ_STRING

#define OBJ_STRING 1

Definition at line 28 of file symbol/read.c.

Referenced by S_read().

## Function Documentation

## add_chain()

void add_chain | ( | SYMBPART * | p,
|  | SYMBCHAIN * | s )

Definition at line 99 of file symbol/read.c.

Referenced by S_read().

## add_element()

void add_element | ( | SYMBCHAIN * | s,
|  | SYMBEL * | e )

Definition at line 128 of file symbol/read.c.

Referenced by S_read().

## add_part()

void add_part | ( | SYMBOL * | s,
|  | SYMBPART * | p )

Definition at line 71 of file symbol/read.c.

Referenced by S_read().

## add_point()

void add_point | ( | SYMBEL * | el,
|  | double | x,
|  | double | y )

Definition at line 154 of file symbol/read.c.

References x.

Referenced by read_coor().

## err()

SYMBOL * err | ( | FILE * | fp,
|  | SYMBOL * | s,
|  | char * | msg )

Definition at line 216 of file symbol/read.c.

References G_free(), G_warning(), and NULL.

Referenced by G_bz2_compress(), G_bz2_expand(), G_fopen_append(), G_fopen_append_misc(), G_fopen_modify(), G_fopen_modify_misc(), G_fwrite_key_value(), G_lz4_compress(), G_lz4_expand(), G_math_solver_bicgstab(), G_math_solver_cg(), G_math_solver_cg_sband(), G_math_solver_gs(), G_math_solver_jacobi(), G_math_solver_pcg(), G_math_solver_pcg_sband(), G_math_solver_sparse_bicgstab(), G_math_solver_sparse_cg(), G_math_solver_sparse_gs(), G_math_solver_sparse_jacobi(), G_math_solver_sparse_pcg(), G_open_update(), G_open_update_misc(), G_parser(), G_read_compressed(), G_read_ellipsoid_table(), G_write_compressed(), G_write_projsrid(), G_write_projwkt(), G_write_uncompressed(), G_zstd_compress(), G_zstd_expand(), gsd_wall(), IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_interp_segments_2d_parallel(), IL_write_point_2d(), pj_get_kv(), read_ellipsoid_table(), S_read(), seg_pagein(), seg_pageout(), seg_setup(), Segment_get_row(), Segment_init(), and Segment_put_row().

## get_key_data()

void get_key_data | ( | char * | buf | ) |

Definition at line 33 of file symbol/read.c.

References G_chop(), G_debug(), NULL, and strcpy.

Referenced by read_coor(), and S_read().

## new_arc()

SYMBEL * new_arc | ( | double | x,
|  | double | y,
|  | double | r,
|  | double | a1,
|  | double | a2,
|  | int | c )

Definition at line 169 of file symbol/read.c.

References r, and x.

Referenced by S_read().

## new_chain()

SYMBCHAIN * new_chain | ( | void |  | ) |

Definition at line 112 of file symbol/read.c.

References NULL.

Referenced by S_read().

## new_line()

SYMBEL * new_line | ( | void |  | ) |

Definition at line 140 of file symbol/read.c.

References NULL.

Referenced by S_read().

## new_part()

SYMBPART * new_part | ( | int | type | ) |

Definition at line 84 of file symbol/read.c.

References NULL.

Referenced by S_read().

## new_symbol()

SYMBOL * new_symbol | ( | void |  | ) |

Definition at line 58 of file symbol/read.c.

References NULL.

Referenced by S_read().

## read_coor()

void read_coor | ( | FILE * | fp,
|  | SYMBEL * | e )

Definition at line 185 of file symbol/read.c.

References add_point(), G_chop(), G_debug(), G_getl2(), G_warning(), get_key_data(), and x.

Referenced by S_read().

## S_read()

SYMBOL * S_read | ( | const char * | sname | ) |

Definition at line 231 of file symbol/read.c.

References add_chain(), add_element(), add_part(), b, err(), g, G_chop(), G_debug(), G_find_file(), G_fopen_old(), G_getl2(), G_gisbase(), G_strcasecmp(), G_warning(), get_key_data(), l, name, new_arc(), new_chain(), new_line(), new_part(), new_symbol(), NULL, OBJ_NONE, OBJ_POLYGON, OBJ_RING, OBJ_STRING, r, read_coor(), strcpy, and x.